<template>
  <b-container>
    <b-row class="materi pt-5">
      <b-col cols="12" md="12" class="text-center mb-5">
        <h5 data-aos="fade-up" data-aos-duration="1000" class="text-info font-weight-bold">
          Pilih Kelasmu
        </h5>
      </b-col>

      <b-col data-aos="fade-up" data-aos-duration="2000" class="materi__card">
        <CarouselCard height="300px" type="card" autoplay indicator-position=".">
          <CarouselCardItem v-for="item in materi" :key="item.id">
            <b-card class="text-center">
              <b-img :src="`/assets/icons/${item.img}`" width="100" />
              <h6 class="card--title font-weight-bold mt-3">
                {{ item.title }}
              </h6>
              <b-card-text class="card--subtitle d-none mt-3 px-5">
                {{ item.description }}
              </b-card-text>
            </b-card>
          </CarouselCardItem>
        </CarouselCard>
      </b-col>
    </b-row>
  </b-container>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  computed: {
    ...mapGetters(['materi'])
  }
}
</script>

<style lang="scss" scoped>
.materi {
  &__card {
    padding: 1rem 1rem;
    .card {
      border: 2px solid #1f707c;
      box-shadow: 1px 5px 5px rgba(0, 0, 0, 0.45);
      max-width: 100%;
      border-radius:17rem;
      border: 0 solid;
      &--title {
        color: #1f707c;
        font-size: 20px;
      }
      &--subtitle {
        color: rgb(255, 255, 255);
      }
    }
  }
}

@media only screen and (max-width: 480px) {
  .materi {
    &__card {
      padding: 0;
      .card {
        border-radius: 1rem;
        &--subtitle {
          font-size: 12px;
        }
      }
    }
  }
}
</style>
